#ifndef MAP_PIN_TOOL_HPP_
#define MAP_PIN_TOOL_HPP_

#include <MapTool/MapTool.hpp>
#include <Widget/MapView/MapView.hpp>

/**
 * @brief Tool for placing pins on the map.
 */
class MapPinTool final : public MapTool
{
public:
    static MapPinTool instance;

    virtual Material& getIcon() override;
    virtual std::string getName() override;
    virtual void onMouseUp(MapView &mapView, Uint8 button, glm::ivec2 pos) override;
    virtual IEquipment::MapLevel getRequiredMapLevel() override;
};

#endif